/****************************************************************************
** igluPFM.h                                                               **
** ---------                                                               **
**                                                                         **
** Reads and writes simple portable float maps image formats.  Also adds   **
**     support for non-standard PF4 image format (Pf=grayscale, PF=color   **
**     PF4=RGBA)                                                           **
**                                                                         **
** Chris Wyman (7/30/2012)                                                 **
****************************************************************************/

#ifndef IGLU__PFM_H__
#define IGLU__PFM_H__

#pragma warning( disable: 4996 )

namespace iglu {

/* Modes this code works for (returned in *mode for ReadPPM(), values to    */
/*    pass into mode in WritePPM()).  Note that PBMs are handled in a very  */
/*    primitive way.                                                        */
#define PFM_GRAY     7
#define PFM_RGB      8
#define PFM_RGBA     9

#ifndef GFXIO_ERRORS
#define GFXIO_ERRORS
    #define GFXIO_OK            0
    #define GFXIO_OPENERROR     1
    #define GFXIO_BADFILE       2
    #define GFXIO_UNSUPPORTED   3
#endif

        
float *ReadPFM( char *f, int *mode, int *width, int *height, float *scale=0 );
int   WritePFM( char *f, int mode,  int width,  int height,  float *ptr,  float scale=1.0 );


// End iglu namespace
}

#endif


