/**********************************
** igluPNG.h                     **
** -----                         **
**                               **
** Code to read PNG files.  This **
**   relies on IGLU linking to   **
**   FLTK, which has a built-in  **
**   PNG class.                  **
**                               **
** Chris Wyman (1/21/2013)       **
**********************************/
#ifndef IGLU_PNG_H_
#define IGLU_PNG_H_

#pragma warning( disable: 4996 )

namespace iglu {

/* Reads a 24-bit uncompressed PNG from the file 'f'                        */
/*    The values stored in *w and *h are the image width & height           */
unsigned char *ReadPNG( char *f, int *width, int *height, int *components, bool invertY=false );


// End iglu namespace
}

#endif
