/******************************************************************/
/* igluColors.h                                                   */
/* -----------------------                                        */
/*                                                                */
/* Some common colors predefined to avoid vec4(x,y,z,w) calls for */
/*     commonly used colors.                                      */
/*                                                                */
/* Chris Wyman (02/09/2012)                                       */
/******************************************************************/

#include "iglu.h"

using namespace iglu;

// Pure colors
const vec4 color::Black  ( 0.0f, 0.0f, 0.0f, 1.0f );
const vec4 color::White  ( 1.0f, 1.0f, 1.0f, 1.0f );
const vec4 color::Green  ( 0.0f, 1.0f, 0.0f, 1.0f );
const vec4 color::Blue   ( 0.0f, 0.0f, 1.0f, 1.0f );
const vec4 color::Red    ( 1.0f, 0.0f, 0.0f, 1.0f );
const vec4 color::Purple ( 1.0f, 0.0f, 1.0f, 1.0f );
const vec4 color::Yellow ( 1.0f, 1.0f, 0.0f, 1.0f );
const vec4 color::Cyan   ( 0.0f, 1.0f, 1.0f, 1.0f );
const vec4 color::Orange ( 1.0f, 0.5f, 0.0f, 1.0f );

// Grays
const vec4 color::Gray00 ( 0.0f, 0.0f, 0.0f, 1.0f );
const vec4 color::Gray10 ( 0.1f, 0.1f, 0.1f, 1.0f );
const vec4 color::Gray20 ( 0.2f, 0.2f, 0.2f, 1.0f );
const vec4 color::Gray30 ( 0.3f, 0.3f, 0.3f, 1.0f );
const vec4 color::Gray40 ( 0.4f, 0.4f, 0.4f, 1.0f );
const vec4 color::Gray50 ( 0.5f, 0.5f, 0.5f, 1.0f );
const vec4 color::Gray60 ( 0.6f, 0.6f, 0.6f, 1.0f );
const vec4 color::Gray70 ( 0.7f, 0.7f, 0.7f, 1.0f );
const vec4 color::Gray80 ( 0.8f, 0.8f, 0.8f, 1.0f );
const vec4 color::Gray90 ( 0.9f, 0.9f, 0.9f, 1.0f );
const vec4 color::Gray100( 1.0f, 1.0f, 1.0f, 1.0f );

// Blues
const vec4 color::MidnightBlue   ( 0.098f, 0.098f, 0.439f, 1.0f );
const vec4 color::NavyBlue       ( 0.0f,   0.0f,   0.5f,   1.0f );
const vec4 color::CornflowerBlue ( 0.392f, 0.584f, 0.929f, 1.0f );
const vec4 color::SkyBlue        ( 0.529f, 0.808f, 0.980f, 1.0f );
const vec4 color::PowderBlue     ( 0.690f, 0.878f, 0.933f, 1.0f );
const vec4 color::Turquoise      ( 0.251f, 0.878f, 0.816f, 1.0f );
const vec4 color::RoyalBlue      ( 0.255f, 0.411f, 0.882f, 1.0f );
const vec4 color::SlateBlue      ( 0.627f, 0.353f, 0.804f, 1.0f );
const vec4 color::DodgerBlue     ( 0.118f, 0.565f, 0.980f, 1.0f );

// Yellow
const vec4 color::Goldenrod      ( 0.855f, 0.647f, 0.125f, 1.0f );
const vec4 color::Gold           ( 1.0f,   0.843f, 0.0f,   1.0f );
const vec4 color::PaleGoldenrod  ( 0.933f, 0.910f, 0.667f, 1.0f );
const vec4 color::DarkGoldenrod  ( 0.721f, 0.525f, 0.043f, 1.0f );

// Browns
const vec4 color::Wheat          ( 0.961f, 0.871f, 0.702f, 1.0f );
const vec4 color::SaddleBrown    ( 0.545f, 0.271f, 0.075f, 1.0f );
const vec4 color::Beige          ( 0.961f, 0.961f, 0.863f, 1.0f );
const vec4 color::Khaki          ( 0.941f, 0.902f, 0.549f, 1.0f );
const vec4 color::DarkKhaki      ( 0.741f, 0.718f, 0.420f, 1.0f );
const vec4 color::Tan            ( 0.824f, 0.760f, 0.549f, 1.0f );
const vec4 color::Sienna         ( 0.627f, 0.322f, 0.176f, 1.0f );

// Greens
const vec4 color::Aquamarine     ( 0.498f, 1.0f,   0.831f, 1.0f );
const vec4 color::SeaGreen       ( 0.180f, 0.545f, 0.341f, 1.0f );
const vec4 color::PaleGreen      ( 0.596f, 0.984f, 0.596f, 1.0f );
const vec4 color::LimeGreen      ( 0.196f, 0.804f, 0.196f, 1.0f );
const vec4 color::ForestGreen    ( 0.133f, 0.545f, 0.133f, 1.0f );

// Pinks & purples
const vec4 color::HotPink        ( 1.0f,   0.412f, 0.706f, 1.0f );
const vec4 color::Pink           ( 1.0f,   0.753f, 0.796f, 1.0f );
const vec4 color::Maroon         ( 0.690f, 0.188f, 0.376f, 1.0f );
const vec4 color::Plum           ( 0.867f, 0.627f, 0.867f, 1.0f );

